Support » Installatie WordPress » PHP –> 7.4, ineens veel probelemen

  • Ben zelf een rooky in WordPress,, dus altijd spannend als er weer een update nodig is. De laatste 4 jaar lukt het me meestal wel om de site running te krijgen.

    De meest recente update naar PHP 7.4 verloopt echter moeizaam. Zou graag wat advies krijgen welke stappen ik moet doorlopen om dit in orde te krijgen, zeg maar plan van aanpak.

    Ik krijg dit soort foutmeldingen in de WORPRESS omgeving, en geen idee hoe dit aan te pakken:

    Warning: Declaration of GW_GoPricing_Plugin_Installer_Skin::feedback($string) should be compatible with WP_Upgrader_Skin::feedback($string, ...$args) in /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/go_pricing/includes/core/class_plugin_installer_skin.php on line 20
    
    Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/revslider/includes/operations.class.php on line 2339
    
    Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/revslider/includes/operations.class.php on line 2343
    
    Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/revslider/includes/output.class.php on line 3165
    
    Fatal error: Uncaught Error: [] operator not supported for strings in /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/revslider/includes/framework/base-admin.class.php:71 Stack trace: #0 /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/revslider/admin/revslider-admin.class.php(572): RevSliderBaseAdmin::addMetaBox('Revolution Slid...', '', Array, NULL) #1 /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/revslider/admin/revslider-admin.class.php(73): RevSliderAdmin->addSliderMetaBox() #2 /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/revslider/admin/revslider-admin.class.php(44): RevSliderAdmin->init() #3 /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/revslider/revslider.php(165): RevSliderAdmin->__construct('/home/bqc1975/d...') #4 /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-settings.php(409): include_once('/home/bqc1975/d...') #5 /home/bqc1975/domains/beneluxqrpclub.nl/public_html in /home/bqc1975/domains/beneluxqrpclub.nl/public_html/wp/wp-content/plugins/revslider/includes/framework/base-admin.class.php on line 71
    Er heeft zich een kritieke fout voorgedaan op deze site. Controleer je site beheerder e-mail inbox voor instructies.

    Alle hulp/tips welkom

    Ik beheer website vrijwillig voor vereniging, zelf ervaring met oude programmeer talen, nog moeite met deze materie.

    Groeten,

    Marc

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

3 reacties aan het bekijken - 1 tot 3 (van in totaal 3)
  • Guido

    (@guido07111975)

    Hallo Marc,

    Uit de broncode van je site maak ik op dat je een zwaar verouderd thema hebt, versie 3.6.0.1, terwijl de meest recente versie volgens de ThemeForest website al 10.0.0 moet zijn. De fouten die je doorgeeft komen van de slider plugin, en ik zie dat die ook erg oud is (version: 5.0.0 / date: 29/10/15) en dus niet meer compatible is met recente PHP-versies.

    Guido

    Thread starter Marc Schijven

    (@pe1fjn)

    Hallo Guido,

    Hartelijk dank voor je snelle feedback.. Het is me gelukt een updated The7 aan te schaffen en te installeren, nu 10.0.0, ook heb ik de backery omgeving updated, en is het gelukt alle plug ins te updaten. Site draait nu goed op PHP 7.4, en lijkt ook allemaal wat sneller te draaien. Was wel een beetje puzzelen, maar ben enorm onder de indruk van hoe dit allemaal redelijk automatisch op orde komt, zonder een regel code te schrijven.

    1 pagina doet beetje vreemd, maar dat kan ik oplossen.

    Nogmaals bedankt,

    Prettige zondag,

    Marc

    Guido

    (@guido07111975)

    Hoi Marc,

    Goed om te lezen dat het opgelost is. Ik had eerlijk gezegd niet verwacht dat het updaten van zo’n verouderd thema en plugin probleemloos ging. Vaak is er zoveel veranderd, dat je het updaten stapsgewijs moet doen.

    Guido

3 reacties aan het bekijken - 1 tot 3 (van in totaal 3)